html,
body {
    height: 100dvh;
    width: 100vw;
    margin: 0;
    padding: 0;
    margin: 0;
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    overflow: hidden;
}

#mainWindow {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

#header {
    display: flex;
    background-color: #001f4d;
    padding: 10px;
    transition: transform 0.2s ease-in-out;
    position: relative;
    z-index: 2;
}

#header.header-hidden {
    transform: translateY(-100%);
    position: absolute;
    width: 100%;
}

#headerLogo {
    width: 125px;
    height: 125px;
    padding: 10px;
    cursor: pointer;
}

#titleContainer {
    width: 100%;
    padding-left: 10px;
}

#title {
    color: white;
    margin: 0;
    margin-bottom: 10px;
}

#mobileTitle {
    display: none;
}

#subtitle {
    color: white;
    font-size: 12pt;
    font-weight: normal;
    margin: 0;
}

#headerLinkContainer {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: 10px;
    margin-right: 50px;
}

.headerLink {
    color: white;
    font-size: 12pt;
    font-weight: normal;
}

#mobileLinkContainer {
    display: none;
}

#searchComponent {
    width: 33%;
}

#contact {
    color: white;
    font-size: 12pt;
    font-weight: normal;
    padding: 0px 10px;
}

.headerButton {
    --calcite-action-background-color: #ffffff;
    --calcite-action-background-color-hover: #9c9c9c;
    --calcite-action-background-color-press: #9c9c9c;
    --calcite-color-focus: #000000;
    --calcite-action-text-color: #6b6b6b;
    --calcite-action-text-color-hover: #000000;
    --calcite-action-text-color-press: #000000;
    --calcite-action-corner-radius: 5px;
    padding: 21.5px 5px;
    margin: 0px;
}

.headerButton:hover {
    --calcite-action-text-color: #000000;
}

#content-container {
    display: flex;
    flex-direction: row;
    flex: 1;
    overflow: hidden;
}


#viewDiv {
    height: 100%;
    flex: 1;
    border: solid;
    border-width: 1px;
    position: relative;
}

.location-overlay {
    position: absolute;
    background: white;
    padding: 8px 12px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.8);
    z-index: 0;
    font-size: 12px;
    line-height: 1.4;
    max-width: 250px;
    pointer-events: none;
}

#basemapToggle {
    position: absolute;
    bottom: 20px;
    left: 10px;
    z-index: 3;
}

#divSplashScreen {
    display: flex;
    position: absolute;
    padding: 20px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    max-height: 80%;
    background-color: #ffffff;
    z-index: 10;
    overflow: auto;
    border: 2px solid #bdbdbd;
}

#infoSidePanel {
    display: none;
    padding: 20px;
    width: 20%;
    background-color: #ffffff;
    overflow: auto;
    border-style: solid;
    border-width: 1px 0 0 0;
}

.sidePanelText {
    font-size: 14pt;
    padding-bottom: 10px;
}

#logoSplash {
    padding: 20px;
    max-height: 160px;
    width: auto;
    object-fit: contain;
}

#splashText {
    border: none;
    padding-bottom: 10px;
    font-size: 14pt;
}

#btnAgree {
    --calcite-button-background-color: #001f4d;
}

#btnAgree:hover {
    --calcite-button-background-color: #001029;
}

#modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 5;
}

#loader {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 500000;
}

#btnToggleHeader {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 4;
    --calcite-action-background-color: #001f4d;
    --calcite-action-background-color-hover: #001029;
    --calcite-action-background-color-press: #001029;
    --calcite-color-focus: #ffffff;
    --calcite-action-text-color: #ffffff;
    --calcite-action-text-color-hover: #ffffff;
    --calcite-action-text-color-press: #ffffff;
    --calcite-action-corner-radius: 0 0 5px 5px;
    padding: 5px 10px;
}

@media all and (max-width: 1200px) {
    #searchComponent {
        width: 40%;
    }

    #divSplashScreen {
        width: 75%;
    }

    #logoSplash {
        padding: 20px;
        max-height: 150px;
        width: auto;
        object-fit: contain;
    }

    #infoSidePanel {
        width: 25%;
    }

    .sidePanelText {
        font-size: 12pt;
    }
}

@media all and (max-width: 900px) {
    #subtitle {
        font-size: 10pt;
    }

    #contact {
        font-size: 10pt;
        padding: 0px 5px;
    }

    #headerLogo {
        width: 100px;
        height: 100px;
    }

    #searchComponent {
        width: 50%;
    }

    #infoSidePanel {
        width: 30%;
    }
}

@media all and (max-width: 600px) {
    #headerLogo {
        width: 75px;
        height: 75px;
    }

    #title {
        display: none;
    }

    #titleContainer {
        width: 100%;
        padding-left: 0px;
    }

    #mobileTitle {
        display: block;
        color: white;
        margin: 0;
        margin-bottom: 10px;
        margin-right: 50px;
    }

    #header {
        padding: 10px;
        display: flex;
        flex-direction: column;
    }

    .headerLink {
        color: white;
        font-size: 10pt;
        font-weight: normal;
        margin-left: 0px;
    }

    #headerLinkContainer {
        display: none;
    }

    #mobileLinkContainer {
        display: flex;
        align-items: center;
        gap: 20px;
        margin-top: 10px;
    }

    #content-container {
        display: flex;
        flex-direction: column;
        flex: 1;
        overflow: hidden;
    }

    #divSplashScreen {
        width: 80%;
        font-size: 10pt;
    }

    #infoSidePanel {
        padding: 20px 5px;
        width: calc(100% - 12px);
        border-width: 0 1px 1px 1px;
        max-height: 50%;
    }

    .sidePanelText {
        padding: 0px 10px;
    }

    #logoSplash {
        padding: 10px;
        max-height: 100px;
        width: auto;
        object-fit: contain;
    }

    #splashText {
        border: none;
        padding-bottom: 10px;
        font-size: 10pt;
    }

    #searchComponent {
        width: 75%;
    }
}

@media all and (max-width: 450px) {
    #mobileTitle {
        display: block;
        color: white;
        margin: 0;
        margin-bottom: 10px;
        margin-right: 50px;
        font-size: 16pt;
    }

    #logoSplash {
        padding: 10px;
        max-height: 75px;
        width: auto;
        object-fit: contain;
    }

    #basemapToggle {
        position: absolute;
        bottom: 5px;
        left: 5px;
        z-index: 3;
    }

    .sidePanelText {
        font-size: 10pt;
    }
}